Subject: bug#46583: 28.0.50; nested minibuffers

From: Richard Stallman <[email-masked]>
Date: Fri, 19 Feb 2021 00:41:34 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > The problem is that currently it's impossible for a command
  > to override enable-recursive-minibuffers only for its own use,
  > while keeping it disabled for more recursive minibuffer calls.

I see.  Thanks.

  > Maybe enable-recursive-minibuffers should support a numeric value
  > that is decremented in every recursive minibuffer calls
  > until reaching zero value that disables more recursive calls?

That should be a simple and adequate fix.

I don't see a need to support values greater than 1,
but I don't think they do any harm, and I see
no way to make this simpler by not supporting them.

-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)